Bug 804635 - Spicy session with VF16 usbredir enabled VM crashes when write click on USB pen's name and select "Safely remove"
Summary: Spicy session with VF16 usbredir enabled VM crashes when write click on USB p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usbredir
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-19 13:48 UTC by Boris Derzhavets
Modified: 2012-04-11 16:56 UTC (History)
4 users (show)

Fixed In Version: libusb1-1.0.9-0.6.rc1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-11 16:56:02 UTC
Type: ---


Attachments (Terms of Use)

Description Boris Derzhavets 2012-03-19 13:48:47 UTC
Description of problem:

Usbredir 4.2.2 and spice-gtk-0.11-3 back ported to F16 via src.rpm rebuild.
VF16 usbredir enabled VM crashes when write click on USB pen name 
in file manager and select "Safely remove" 

Version-Release number of selected component (if applicable):

spice-gtk-0.11-3 

How reproducible:

As described above

Steps to Reproduce:
1. Set up Ubredir 4.2.2 and spice-gtk-0.11-3 on F16
2. Start VF16 usbredir enabled VM via VirtManager and plug in USB pen.
3. Write click on USB pen name in file manager and select "Safely remove" 
  
Actual results:

VM crashes

Expected results:

USB pen removed from File Manager Window

Additional info:

Comment 1 Boris Derzhavets 2012-03-19 13:55:41 UTC
Console output after VM's crash

[boris@fedora16 ~]$ spicy
GSpice-Message: main channel: failed to connect
GSpice-Message: main channel: opened
libusb:error [sysfs_get_active_config] device unconfigured

(spicy:21445): GSpice-CRITICAL **: usbredirhost error: could not get descriptors for configuration 0: -5
Segmentation fault (core dumped)

Comment 2 Hans de Goede 2012-03-19 14:36:22 UTC
Hi,

Thanks for the bug-report. I think this is a bug in usbredir itself, so I'm changing the component.

I can reproduce this, I'll look into this soon.

Regards,

Hans

Comment 3 Boris Derzhavets 2012-03-20 07:35:34 UTC
Actually, VM doesn't crash , spicy session gets broken

Comment 4 Hans de Goede 2012-04-02 11:47:09 UTC
This is fixed in the latest upstream usbredir release: 0.4.3 An F-16 update fixing this is on its way to updates-testing.

Comment 5 Fedora Update System 2012-04-02 11:48:19 UTC
libusb1-1.0.9-0.6.rc1.fc16, usbredir-0.4.3-1.fc16, spice-gtk-0.11-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-4025/usbredir-0.4.3-1.fc16,spice-gtk-0.11-4.fc16,libusb1-1.0.9-0.6.rc1.fc16

Comment 6 Fedora Update System 2012-04-02 23:31:26 UTC
Package libusb1-1.0.9-0.6.rc1.fc16, usbredir-0.4.3-1.fc16, spice-gtk-0.11-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libusb1-1.0.9-0.6.rc1.fc16 usbredir-0.4.3-1.fc16 spice-gtk-0.11-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4025/usbredir-0.4.3-1.fc16,spice-gtk-0.11-4.fc16,libusb1-1.0.9-0.6.rc1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-04-11 16:56:02 UTC
libusb1-1.0.9-0.6.rc1.fc16, usbredir-0.4.3-1.fc16, spice-gtk-0.11-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.